;/*******************************/;
;/* Demo Speaker For ET-EXP4    */;
;/* Files Name  : LAB5-EX4.ASM  */;
;/* CPU Control : MCS-51 Family */;
;/* Assembler   : SXA51.EXE     */;
;/*   (Beep Sound on Speaker)   */;
;/*******************************/;
;
;/* Port For Control Speaker
PORT_OUT    EQU     P1                  ; Step,Relay,Spk
SPEAKER     EQU     P1.5                ; Port.5 = Speaker Control

            ORG     0000H               ; Start Monitor
MAIN:       MOV     SP,#128-32          ; Stack = 32 Byte Internal RAM
            MOV     PORT_OUT,#0         ; OFF Step & Relay Bit
            ;
LOOP_NEW:   MOV     R2,#250             ; Duration Beep
BEEP_ON:    SETB    SPEAKER             ; ON Speaker
            MOV     R3,#200
DLY_ON:     DJNZ    R3,DLY_ON
            CLR     SPEAKER             ; OFF Speaker
            MOV     R3,#200
DLY_OFF:    DJNZ    R3,DLY_OFF
            DJNZ    R2,BEEP_ON
            LCALL   DELAY
            SJMP    LOOP_NEW

;/****************/;
;/*  Delay Time  */;
;/****************/;
;
DELAY:      MOV     R2,#10
DL1:        MOV     R3,#0FFH
DL2:        MOV     R4,#0FFH
            DJNZ    R4,$
            DJNZ    R3,DL2
            DJNZ    R2,DL1
            RET

            END


