;/*******************************/;
;/* Demo D/A Convert For ET-EXP4*/;
;/* Files Name  : LAB8-EX1.ASM  */;
;/* CPU Control : MCS51 Family  */;
;/* Assembler   : SXA51.EXE     */;
;/*   (Max,Middle,Min Output)   */;
;/*******************************/;
;
;/* Port For Control DAC
PORT_DAC    EQU     P1                  ; DAC Output

            ORG     0000H               ; Start Monitor
MAIN:       MOV     SP,#128-32          ; Stack = 32 Byte Internal RAM
            ;
LOOP:       CLR     A                   ; Min Output = 0V
            MOV     PORT_DAC,A
            LCALL   DELAY
            MOV     A,#7FH              ; Middle = Max/2
            MOV     PORT_DAC,A
            LCALL   DELAY
            MOV     A,#0FFH             ; Max Output
            MOV     PORT_DAC,A
            LCALL   DELAY
            SJMP    LOOP

;/**************/;
;/* Delay Time */;
;/**************/;
;
DELAY:      MOV     R3,#5
DLY1:       MOV     R4,#0FFH
DLY2:       MOV     R5,#0FFH
            DJNZ    R5,$
            DJNZ    R4,DLY2
            DJNZ    R3,DLY1
            RET


            END




